import {requestInstance} from "@/service";

export function getUserManageHomeTableData(params){
 return requestInstance({
  url:'/ptjkInterface/selectSystemYhglPageList',
  data:{
   ...params
  }
 })
}
export function getUserManageHomeTableDataZw(params){
 return requestInstance({
  url:'/ptjkInterface/selectZymlSystemYhglPageList',
  data:{
   ...params
  }
 })
}
export function getUserManageHomeTableDataLm(params){
 return requestInstance({
  url:'/ptjkInterface/selectAllianceuserPageList',
  data:{
   ...params
  }
 })
}
export function changeUserManageSpaceVliadate(params){
 return requestInstance({
  url:'/ptjkInterface/editSystemYhglRzyh',
  data:{
   ...params
  }
 })
}
export function delUserManageSpaceUserSpace(params){
 return requestInstance({
  url:'/ptjkInterface/removeSystemYhglRzyh',
  data:{
   ...params
  }
 })
}
export function delUserManageSpaceUserZw(params){
 return requestInstance({
  url:'/ptjkInterface/removeZymlSystemYhgl',
  data:{
   ...params
  }
 })
}
export function getDataRootDetail(params){

 return requestInstance({
  url:'/ptjkInterface/selectSafePowerMain',
  data:{
   ...params
  }
 })
}
export function getDataRootDetailTreeData(params){
 return requestInstance({
  url:'/ptjkInterface/selectSafePowerUserTreeList',
  data:{
   ...params
  }
 })
}
export function saveDataRootDetailTreeData(params){
 return requestInstance({
  url:'/ptjkInterface/addSafePowerRole',
  data:{
   ...params
  }
 })
}
export function getUnionUserCheckDetail(a_code){
 return requestInstance({
  url:'/gxyw/selectAllianceuserFirstt',
  data:{
   a_code
  }
 })
}
export function lmUserCheckDetail(params){
 return requestInstance({
  url:'/ptjkInterface/selectAllianceuserDetail',
  data:{
   ...params
  }
 })
}
export function firstCheckInfo(params){
 return requestInstance({
  url:'/gxyw/insertAllianceuserFirstt',
  data:{
   ...params
  }
 })
}
